Neidio i'r cynnwys

MoonDreamNext Detection

Integreiddio

ID y model moondream-next/detection
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Y cais hwn: ≈$0.002 2 o gredydau API · ≈ ₽0.21 Ei redeg ar y dudalen hon

Cael allwedd API
Moondream Golygu Delweddau #multimodal

Yn rhedeg canfod blychau terfyn, pwyntiau neu olwg ar ddelwedd ac yn llunio'r canlyniad

Moondream · Delwedd

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol

Testun sy'n disgrifio'r targed i'w ganfod.

•gofynnol image_url
Gollyngwch ffeil, neu

URL sy'n nodi'r ddelwedd i'w phrosesu.

task_type •gofynnol

Tasg canfod i'w rhedeg.

Uwch use_ensemble · combine_points · show_visualization
POST /run/moondream-next/detection?wait=20 dyfynbris → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â MoonDreamNext Detection

Dewiswch `task_type` fel bbox_detection, point_detection neu gaze_detection, a disgrifiwch y targed yn `detection_prompt`. Mae'r opsiynau'n cynnwys `use_ensemble` ar gyfer canfod golwg a `combine_points` ar gyfer canfod pwyntiau. Mae'n dychwelyd delwedd gyda'r delweddu (`show_visualization` sy'n ei droi ymlaen neu i ffwrdd) a'r canlyniadau fel testun.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
image_urlgofynnol image
Mathurl · image
URL sy'n nodi'r ddelwedd i'w phrosesu.
task_typegofynnol
Mathenum
bbox_detectionpoint_detectiongaze_detection
Tasg canfod i'w rhedeg.
detection_promptgofynnol
Mathstring
Testun sy'n disgrifio'r targed i'w ganfod.
use_ensembledewisol
Mathboolean
Rhagosodedigfalse
Yn rheoli defnydd ensemble ar gyfer canfod golwg.
combine_pointsdewisol
Mathboolean
Rhagosodedigfalse
A yw canfod pwyntiau yn cyfuno'r pwyntiau a ganfuwyd yn un pwynt. Nid yw'r gosodiad yn effeithio ar ganfod bbox na golwg.
show_visualizationdewisol
Mathboolean
Rhagosodedigtrue
Yn rheoli a yw canlyniadau canfod yn cael eu delweddu.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/detection",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "text_output": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
image
object {url, content_type, file_name, file_size, width, height} | nullDelwedd allbwn sy'n dangos canlyniadau canfod.
text_output
stringCynrychioliad testunol o ganlyniadau canfod.

Mwy o fodelau: Golygu Delweddau

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/moondream-next/detection.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt